/**
 * This class models a Car. It is a Vehicle with an extra feature: body style.
 * 
 */
class Car extends Vehicle {
  
  private String bodyStyle; // body style
  
  /**
   * Constructor for class Car. It initializes all fields in a Car. These
   * cannot be changed later.
   * 
   * @param make
   *            Initializes the field make (class Vehicle) i.e. make of the
   *            car
   * @param licensePlate
   *            Initializes the field licensePlate (class Vehicle) i.e.
   *            license plate
   * @param job
   *            Initializes the field job (class Vehicle) i.e. operation to
   *            be prrformed on the vehicle
   * @param style
   *            Initializes the field style i.e. body style
   */
  public Car(String make, String licensePlate, Task job, String style) {

    //---------- Implement this method ----------
    
    
    super("","",null);  // Remove or revise this statement
  
  }
  
  /*
   * This method overides method getVehicleType from the class Vehicle so that
   * we can determine which of the two children classes of class Vehicle we
   * are dealing with.  This method returns the label (name) of this class: "Car"
   */
  public String getVehicleType() {
    return "Car";
  }
  
  /*
   * =String representation of this Car.
   */
  public String toString() {
    
    //---------- Implement this method ----------
    
    
    return "";  // Remove or revise this stub (dummy return statement)
  }
  
  /**
   * This method determines if a certain bay is able to service this Car.
   * Return true if the bay can service cars and accommodate this Car's Task.
   * Otherwise return false.
   */
  public boolean acceptableAtBay(ServiceBay bay) {

    //---------- Implement this method ----------
    
 
    return false;  // Remove or revise this stub (dummy return statement)
  }
  
}
