/**
 * This class models a Truck. It is a Vehicle with some extra features: 
 * weight (in tons) and height (in feet).
 * 
 */
class Truck extends Vehicle {
  private int height; // height of truck in feet
  
  private int weight; // weight of truck in tons
  
  /**
   * Constructor for class Truck. It initializes all fields in a Truck. These
   * cannot be changed later.
   * 
   * @param make
   *            Initializes the field make (class Vehicle) i.e. make of the
   *            truck
   * @param licensePlate
   *            Initializes the field licensePlate (class Vehicle) i.e.
   *            license plate
   * @param job
   *            Initializes the field job (class Vehicle) i.e. operation to
   *            be prrformed on the vehicle
   * @param height
   *            Initializes the field height i.e. height of truck in feet
   * @param weight
   *            Initializes the field weight i.e. weight of truck in tons
   */
  public Truck(String make, String licensePlate, Task job, int height,
               int weight) {
    
    //---------- Implement this method ----------
    
    
    super("","",null);  // Remove or revise this statement
    
  }
  
  /*
   * This method overides method getVehicleType from class Vehicle so that
   * we can determine which of the two children classes of class Vehicle we
   * are dealing with.  This method returns the label (name) of this class:
   * "Truck"
   */
  public String getVehicleType() {
    return "Truck";
  }
  
  /*
   * =String representation of this Truck.
   */
  public String toString() {

    //---------- Implement this method ----------

    
    return "";  // Remove or revise this stub    
  }
  
  /*
   * This method determines if a certain bay is able to service this Truck.
   * Return true if the bay can accommodate Trucks and this Truck's height, 
   * weight, and Task.  Otherwise return false.
   */
  public boolean acceptableAtBay(ServiceBay bay) {

    //---------- Implement this method ----------
    
    
    return false;  // Remove or revise this stub
  }
  
}
